GuiCommand:
Name: Draft Fillet
MenuLocation: Drafting , Fillet
2D Drafting , Fillet
Workbenches: Draft_Workbench, BIM_Workbench
Shortcut: F I
Version: 0.19
SeeAlso: Draft_Line, Draft_Wire
Draft Fillet
Description
The Draft Fillet command creates a fillet, a rounded corner, or a chamfer, a straight edge, between two selected edges.
In {{VersionMinus|0.21}} the command only works properly if both selected edges are straight.
In {{VersionMinus|1.0}} if the selected objects have multiple edges, their first edge will be used. This may not be the edge that was picked in the 3D view.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/Draft_Fillet_example.png)
Usage
- Select two edges that meet in a single point.
- There are several ways to invoke the command:
- Enter the Fillet radius. Note that the command will not succeed if the radius is too large for the selected edge objects.
- Optionally check the Delete original objects option.
- Optionally check the Create chamfer option.
- If you have selected one of the two previous options: Click in the Fillet radius input box.
- Press Enter.
Options
- Press Esc or the Close button to abort the command.
Notes
- A Draft Fillet cannot be edited nor is it linked to the edges that were used to create it.
- A Draft Wire that has at least three points can be filleted or chamfered by changing its Fillet Radius or Chamfer Size respectively. Since Draft Lines and Draft Wires, can be joined with the Draft Wire command, the Draft Join command or the Draft Upgrade command, this provides an alternative method for creating fillets and chamfers.
Properties
See also: Property editor.
A Draft Fillet object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
{{TitleProperty|Draft}}
-
End|VectorDistance: (read-only) specifies the end point of the fillet.
-
Fillet Radius|Length: (read-only) radius with which the fillet was created.
-
Length|Length: (read-only) specifies the total length of the fillet.
-
Start|VectorDistance: (read-only) specifies the start point of the fillet.
View
{{TitleProperty|Draft}}
-
Arrow Size|Length: specifies the size of the symbol displayed at the end of the fillet.
-
Arrow Type|Enumeration: specifies the type of symbol displayed at the end of the fillet, which can be {{value|Dot}}, {{value|Circle}}, {{value|Arrow}}, {{value|Tick}} or {{value|Tick-2}}.
-
End Arrow|Bool: specifies whether to show a symbol at the end of the fillet, so it can be used as an annotation line.
-
Pattern|Enumeration: not used.
-
Pattern Size|Float: not used.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Fillet use the make_fillet
method of the Draft module:
fillet = make_fillet([edge1, edge2], radius=100, chamfer=False, delete=False)
- Creates a
Fillet
object between edge objectsedge1
andedge2
, usingradius
for the curvature. - If
chamfer
isTrue
it will create a straight edge instead of a rounded edge. - If
delete
isTrue
it will delete the givenedge1
andedge2
, and leave only the new object.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
edge1 = Draft.make_line(p1, p2)
edge2 = Draft.make_line(p2, p3)
doc.recompute()
fillet = Draft.make_fillet([edge1, edge2], radius=500)
doc.recompute()
⏵ documentation index > Draft > Draft Fillet
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Draft_Fillet.md